Skip to content

Acknowledge Alert Incident

POST /alerts/incidents/{incident_id}/acknowledge

Suppress re-notification without resolving (annex 15 §9.3).

NameInTypeNotes
incident_idpathstring (uuid)required—
StatusDescriptionBody
200Successful ResponseAlertIncidentView
422Validation ErrorHTTPValidationError
Terminal window
curl -X POST https://your-deployment.example.com/alerts/incidents/{incident_id}/acknowledge \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
idstring (uuid)required—
alert_rule_idstring (uuid)required—
statusopen | acknowledged | resolvedrequired—
severityinfo | warning | criticalrequired—
metricerror_rate | success_rate | failure_count | run_count | avg_latency_ms | p95_latency_ms | cost | token_total | queue_depth | suspension_age | queued_without_workers | provider_credit_remaining | providers_unreachablerequired—
comparatorgt | gte | lt | lterequired—
thresholdnumberrequired—
triggered_valuenumberrequired—
last_valuenumber | nullrequired, nullable—
resolved_valuenumber | nullrequired, nullable—
opened_atstring (date-time)required—
acknowledged_atstring (date-time) | nullrequired, nullable—
resolved_atstring (date-time) | nullrequired, nullable—
last_notified_atstring (date-time) | nullrequired, nullable—
notification_countintegerrequired—
contextobjectrequired—